{
  "name": "taehui-fe",
  "version": "1.0.0",
  "private": true,
  "dependencies": {
    "@tanstack/react-query": "^5.27.5",
    "axios": "^1.6.7",
    "bootstrap": "^5.3.3",
    "crypto-js": "^4.2.0",
    "dompurify": "^3.0.9",
    "i18next": "^23.10.1",
    "mobx": "^6.12.0",
    "mobx-react-lite": "^4.0.6",
    "react": "^18.2.0",
    "react-content-loader": "^7.0.0",
    "react-contexify": "^6.0.0",
    "react-dom": "^18.2.0",
    "react-i18next": "^14.1.0",
    "react-infinite-scroll-component": "^6.1.0",
    "react-router-dom": "^6.22.3",
    "react-scripts": "5.0.1",
    "react-textarea-autosize": "^8.5.3",
    "react-toastify": "^10.0.4",
    "reactstrap": "^9.2.2",
    "sprintf-js": "^1.1.3",
    "sweetalert2": "^11.10.6",
    "taehui-ts": "workspace:^"
  },
  "devDependencies": {
    "@types/crypto-js": "^4.2.2",
    "@types/dompurify": "^3.0.5",
    "@types/jest": "^29.5.12",
    "@types/node": "^20.11.26",
    "@types/react": "^18.2.65",
    "@types/react-dom": "^18.2.21",
    "@types/showdown": "^2.0.6",
    "@types/sprintf-js": "^1.1.4",
    "http-proxy-middleware": "^2.0.6",
    "typescript": "^5.4.2"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "eject": "react-scripts eject",
    "deploy": "taehui-fe.cmd"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
